Subject: Re: [mobile-ip] Connectathon 2003 issues for MIPv6 draft-20/ Comments on Movement Detection

From: Samita Chakrabarti <[email-masked]>
Date: Fri, 14 Mar 2003 12:12:24 -0800 (PST)

> 
> The more serious problem is that two access routers may have same 
> link-local addresses on their different interfaces. Because the uniqueness 
> of link-local address is not guaranteed outside a link, we can't avoid 
> this problem . 
> 

> I wonder it is useful to check link-local address for movement detection. 
> Correct me if I am wrong. But I don't see any reason to check link-local 
> address in RA for movement detection.   
> 
> IMHO, An MN SHOULD NOT use the router address in RA for movement 
> detection. If MN is in a network with multiple access routers, it will receive 
> the RAs with different router addresses. In this case, even though the router 
> address in RA has been changed, a MN has not moved.
> 
> On the other hand, because the router address in RA is link-local address, 
> its uniqueness is not guaranteed outside a link.  Hence the fact that MN 
> receives the RA with the same router address doesn't imply that it still 
> remains in the same IP subnet.
> 

The draft indicates that L2 level movement detection can be used in some
 networks and mobile nodes. 

But, for mobile nodes which don't have L2 level movement detection can perform
both default router address check (from RA or by doing periodic NUD) and 
prefix check against the existing prefix of the COA.
That should work in most cases. But for faster movement detection, I think L2
layer detection followed by a RS by the MN is more helpful.

> I have a question. According to current implementations, when does MN 
> send BU? If MN receives a RA with different prefix information, does it 
> sends BU immediately or perform NUD with the default router beforehand?  
> 

From what I heard at Connectathon:

Some folks are only doing periodic NUD to the router to detect movement, I 
suppose they also watch for the link-local address in the RA to form the
new COA and then sends BU.

One implementation uses L2-trigger to detect movement and sends indication
to the IP layer which then (I suppose) sends RS or watches for RA to form
new COA and then sends BU.

What does your implementation do for movement detection?
-Samita

---

From: "JinHyeock Choi" <[email-masked]>
Date: Sat, 15 Mar 2003 12:15:55 +0900

Samita

Thanks for your prompt reply. 

> From what I heard at Connectathon:

Actually our team also attended Connectathon. My colleague Kim said he 
met you at there. 

> What does your implementation do for movement detection?

We adopt eager cell switching. MN sends BU immediately after it receives 
a RA with different Prefix Information Option. We are worried this may cause 
security problem. 

IMHO, Movement Detection needs more thorough investigation.  
 
These are my quick comments.  I have to catch a plight to SF in hours :-)

JinHyeock